Advertisement
danfalck

makeSolid.py

Jun 1st, 2013
116
0
Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
Python 0.37 KB | None | 0 0
  1. sel=Gui.Selection.getSelection()
  2. FreeCAD.ActiveDocument.addObject("Part::Feature",('new')+sel[0].Name)
  3. __shape__ = Part.Shape()
  4. __shape__.makeShapeFromMesh(sel[0].Mesh.Topology,0.1)
  5. __shape__= Part.Solid(__shape__)
  6. FreeCAD.ActiveDocument.getObject(('new')+sel[0].Name).Shape=__shape__
  7. FreeCAD.ActiveDocument.getObject(('new')+sel[0].Name).purgeTouched()
  8. del __shape__
Advertisement
Add Comment
Please, Sign In to add comment
Advertisement